Gist: the Gecode Interactive Search Tool
Functionality by programming task » Programming models

## Classes

class | Gecode::Gist::Inspector
| Abstract base class for inspectors. More...
class | Gecode::Gist::Comparator
| Abstract base class for comparators. More...
class | Gecode::Gist::GistMainWindow
| Main window for stand-alone Gist. More...
class | Gecode::Gist::Gist
| Gecode Interactive Search Tool More...

## Functions

int | Gecode::Gist::dfs (Space *root, const Gist::Options &opt=Gist::Options::def)
| Create a new stand-alone Gist for root.
int | Gecode::Gist::bab (Space *root, const Gist::Options &opt=Gist::Options::def)
| Create a new stand-alone Gist for branch-and-bound search of root.

## Detailed Description

## Function Documentation

## dfs()

int Gecode::Gist::dfs | ( | Space * | root,
|  | const Gist::Options & | opt = Gist::Options::def )

inline

Create a new stand-alone Gist for root.

Definition at line 203 of file gist.hpp.

## bab()

int Gecode::Gist::bab | ( | Space * | root,
|  | const Gist::Options & | opt = Gist::Options::def )

inline

Create a new stand-alone Gist for branch-and-bound search of root.

Definition at line 208 of file gist.hpp.